订阅业界RSS CSDN首页> 业界

苹果提醒开发者明年6月后 iOS应用更新必须支持64位

发表于2014-12-18 09:06| 次阅读| 来源CSDN| 0 条评论| 作者钱曙光

摘要:本周三,苹果向开发者发送的新邮件中再次提醒到,在明年6月份之后,App Store里的所有软件都必须支持64位的系统架构,递交的任何32位应用都会被苹果拒绝。

今年10月份就有媒体报道称,苹果宣布从明年2月1日起所有的应用都必须支持64位处理器。并表示,并不会将App Store中现有的应有剔除出商店,只不过新开发的应用和现有应用的更新都必须遵守这个规定。苹果的 A7和 A8 芯片都是64位处理器。

本周三,苹果向开发者发送的新邮件中再次提醒到,在明年6月份之后,App Store里的所有软件都必须支持64位的系统架构,递交的任何32位应用都会被苹果拒绝。

苹果官方建议开发者尽可能使用Xcode默认的“标准架构”编译选项,如此可以保证应用程序同时兼容32位和64位。对于苹果来说,64位处理器的芯片已经成为趋势,如果适配32位应用,就需要经过转译运行,而这无形之中将会产生性能损耗。

部分内容来自MacX

相关阅读:苹果要求、Android开始,64位时代真的来了!

0
0
  • CSDN官方微信
  • 扫描二维码,向CSDN吐槽
  • 微信号:CSDNnews
程序员移动端订阅下载

微博关注

相关热门文章